Subject: Re: bug#29051: Error in `parted': realloc(): invalid next size

From: Phil Susi <[email-masked]>
Date: Fri, 8 Dec 2017 14:15:56 -0500

On 11/17/2017 4:13 AM, Seth Finkelstein wrote:
> Here it is, in base64 format:

Thanks.  It appears that you have some non printing characters in your
partition names.  parted/table.c was using wcswidth() to check the width
of the name in characters, but this function returns -1 if there are non
printable characters, and that causes parted to add one extra space of
padding and overflow the string buffer.  I'll post a patch to fix that
momentarily.

On a related note, after fixing it I noticed that the columns in the
table still do not line up right.  It looks like these kanji? characters
are extra wide so they push the next column over more than parted
expects and pads for.  Isn't that not supposed to happen when you are
using a fixed width font?